Katello - Bug #4061

Need test for dependent destroy of org and user
01/16/2014 05:47 PM - Katello Issue Migration

Status: Resolved

Priority: Normal

Assignee:

Category: Tests

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

https://github.com/Katello/katello/pull/2895

The above pull-request fixes an issue that prevented deletion of an org or user that had notices or task_statuses associated with it. |
was not able to write a minitest that triggered the failure. Below is the script that | used to reproduce the problem during development:

#!/bin/csh -f

echo "============ user delete then org delete ============"

echo " SETUP"

katello —-u xadmin -p admin user create —--username=user$l —--password=admin --email=foo@bar.com
katello —u xadmin -p admin user assign_role —--username user$l --role Administrator

katello -u user$l -p admin org create --name org$l

katello -u user$l -p admin provider import_manifest —--name "Red Hat" --file ~/Downloads/Mega_Corp.
zip —--org org$l

katello -u user$l -p admin provider refresh_manifest --name "Red Hat" --org org$l

echo " ORG DELETE"

katello -u user$l -p admin org delete --name org$l

echo " USER DELETE"

katello —-u xadmin -p admin user delete —--username=user$l

echo "============ org delete then user delete ============"

echo " SETUP"

katello -u xadmin -p admin user create —--username=user$lx --password=admin --email=foolbar.com
katello —-u xadmin -p admin user assign_role —-username user$lx —--role Administrator

katello —u user$lx -p admin org create —-name org$lx

katello —u user$lx -p admin provider import_manifest —--name "Red Hat" --file ~/Downloads/Mega_Corp
.zip —--org org$lx

katello -u user$lx -p admin provider refresh_manifest —--name "Red Hat" --org org$lx

echo " USER DELETE"

katello -u xadmin -p admin user delete —--username=user$lx

echo " ORG DELETE"

katello —-u xadmin -p admin org delete --name org$lx

Also my attempt at writing a test/models/organization_test.rb

“ruby

1. Test dependent destroy of tasks and notices on orgs and users
2. https://bugzilla.redhat.com/show_bug.cgi?id=1001609
class OrganizationTestDependentDestroy < MiniTest::Rails::ActiveSupport::TestCase

extend ActiveRecord::TestFixtures

fixtures :all
def self.before_suite

services = ['Candlepin', 'Pulp', 'ElasticSearch', 'Foreman']
models = ['Organization', 'KTEnvironment', 'Notice',
'User', 'TaskStatus', 'Provider']
disable_glue_layers (services, models, true)
end

def setup
@user = User.create! (:username => 'yUserTaskNotices', :email => 'foo@bar.com
', :password => 'abcdefl23')
Quser.roles << Role.find(roles (:administrator))
@user.save!
User.current = Quser
@org = Organization.create! (:name => 'yOrgTaskNotices', :label => 'OrgTaskNotices')
Notice.create! (:text=>'Test notice', :level => :success, :details => 'Test details',
:user_notices => [UserNotice.create! (:user => (@user)])
TaskStatus.create! (:organization_id => @org.id, :uuid => 'FOO', :progress=>'0', :user => @user

User.current = User.find(users (:admin))
end

def test_delete_org_then_user
refute_empty TaskStatus.all.to_a
Provider.any_instance.stubs (:prevent_redhat_deletion) .returns (true)
@org.destroy
@user.destroy
assert_nil User.find_by_username ('UserTaskNotices')
assert_nil Organization.find_by_name ('OrgTaskNotices"')

end

#def test_delete_user_then_org
1. @user.destroy
2. @org.destroy
#end

end

Created: thomasmckay on September 09, 2013 14:39 +00:00
Imported from https://api.github.com/repos/Katello/katello/issues/2905

History

#1 - 06/04/2014 11:21 AM - Eric Helms
- Category set to Tests

- Triaged set to Yes

#2 - 08/18/2014 12:05 PM - Eric Helms

- Status changed from New to Resolved

#3 - 08/22/2014 07:50 AM - Eric Helms

- translation missing: en.field_release set to 13

05/17/2024 22



https://api.github.com/repos/Katello/katello/issues/2905
http://www.tcpdf.org

